Subject: Re: [PATCH RFCv2] arm64: eBPF JIT compiler

From: Will Deacon <[email-masked]>
Date: Wed, 9 Jul 2014 14:00:17 +0100

On Tue, Jul 08, 2014 at 08:06:53AM +0100, Zi Shen Lim wrote:
> * Per discussion with Will, I'll also look into consolidating
>   bpf_jit.h into arch/arm64/kernel/insn.{c,h}.

I'm happy to review this once you have something ready.

> FUTURE WORK:
> 
> 1. Implement remaining classes of eBPF instructions: ST|MEM, STX|XADD
>    which currently do not have corresponding test cases in test_bpf.

I can help out with atomics, if you need it. Are the memory barrier
semantics well-defined for eBPF?

Will